@import url("../fonts/encodesans/css/encodesans-jJmeVN5.css");
@import url("../fonts/roboto/css/roboto-yM3yAdh.css");
@import url("../fonts/opensans/css/opensans-GxqlZ-n.css");

:root {
    --ms-main-color: #00BBD1; /*#00b1c7;*/
    --ms-secondary-color: #414042;
    --ms-border-form: #00c2db;
    --ms-tertiary-color: #6c757d;
    --ms-pink-color: #e01770;
    --ms-font: 'Encode Sans';
    --ms-blue: #2b7e9e;
    --ms-dark-blue-50: #34495e;
    --ms-dark-blue-25: #496781;
}

html,
body {
    overflow-x: hidden; /* Previene scroll en pantallas angostas */
    background-color: rgba(244, 253, 255, 0.07);
    /*background-image: url("../images/background_body-KoOXXyh.png");*/
    /*font-family: var(--ms-font), 'Open Sans', Helvetica, sans-serif;*/
    font-family: 'Open Sans', Helvetica, sans-serif;
    font-size: 0.95rem;
    font-weight: 400;
    line-height: 1.5;
    color: #000;
    text-align: left;
}
body::before {
    content: '';
    position: fixed;
    background-image: url("../images/back1-hUYUPGn.png");
    top: 50%;
    left: 50%;
    width: 150%;
    height: 150%;
    transform: translate(-50%, -50%) rotate(-15deg); /* rotate angle here */
    opacity: .2;
    z-index: -1;
    background-size: 300px;
    transform-origin: center;
}

/** Preloader **/
/***** Preloader ****/
.spinner-wrapper {
    position: fixed;
    z-index: 999999;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: #fff;
}

.spinner {
    position: absolute;
    top: 50%; /* centers the loading animation vertically one the screen */
    left: 50%; /* centers the loading animation horizontally one the screen */
    width: 3.75rem;
    height: 1.25rem;
    margin: -0.625rem 0 0 -1.875rem; /* is width and height divided by two */
    text-align: center;
}

.spinner > div {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    border-radius: 100%;
    background-color: var(--ms-main-color);
    -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
    animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
    -webkit-animation-delay: -0.32s;
    animation-delay: -0.32s;
}

.spinner .bounce2 {
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {
    0%, 80%, 100% {
        -webkit-transform: scale(0);
    }
    40% {
        -webkit-transform: scale(1.0);
    }
}

@keyframes sk-bouncedelay {
    0%, 80%, 100% {
        -webkit-transform: scale(0);
        -ms-transform: scale(0);
        transform: scale(0);
    }
    40% {
        -webkit-transform: scale(1.0);
        -ms-transform: scale(1.0);
        transform: scale(1.0);
    }
}

/** Main **/
.shadow-ms {
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
}

.btn {
    --bs-btn-padding-x: 1.5rem;
    --bs-btn-padding-y: 0.475rem;
    --bs-btn-font-weight: 400;
    transition: all 0.3s ease; /* Smooth transition */
}


.btn-outline-enviar,
.btn-outline-success {
    --bs-btn-color: rgb(6, 125, 86);
    --bs-btn-bg: #FBFBFB;
    --bs-btn-border-color: #04A777;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #04A777;
    --bs-btn-hover-border-color: #04A777;
    --bs-btn-focus-shadow-rgb: 25, 135, 84;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #04A777;
    --bs-btn-active-border-color: #04A777;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #04A777;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #04A777;
    --bs-gradient: none;
}

.btn-outline-dark {
    --bs-btn-color: #496781;
    --bs-btn-bg: #FBFBFB;
    --bs-btn-border-color: #496781;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #496781;
    --bs-btn-hover-border-color: #496781;
    --bs-btn-focus-shadow-rgb: 25, 135, 84;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #496781;
    --bs-btn-active-border-color: #496781;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #496781;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #496781;
    --bs-gradient: none;
}

.btn-outline-pink {
    --bs-btn-color: var(--ms-pink-color);
    --bs-btn-bg: #fff;
    --bs-btn-border-color: var(--ms-pink-color);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--ms-pink-color);
    --bs-btn-hover-border-color: var(--ms-pink-color);
    --bs-btn-focus-shadow-rgb: 25, 135, 84;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--ms-pink-color);
    --bs-btn-active-border-color: var(--ms-pink-color);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #434351;
    --bs-btn-disabled-border-color: #434351;
    --bs-gradient: none;
}

.btn-volver {
    --bs-btn-color: #fff;
    --bs-btn-bg: #434351;
    --bs-btn-border-color: #434351;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #424649;
    --bs-btn-hover-border-color: #373b3e;
    --bs-btn-focus-shadow-rgb: 66, 70, 73;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #4d5154;
    --bs-btn-active-border-color: #373b3e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #434351;
    --bs-btn-disabled-border-color: #434351;
}

.btn-pink {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--ms-pink-color);
    --bs-btn-border-color: var(--ms-pink-color);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #BE1164FF;
    --bs-btn-hover-border-color: #BE1164FF;
    --bs-btn-focus-shadow-rgb: 66, 70, 73;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #4d5154;
    --bs-btn-active-border-color: #373b3e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #434351;
    --bs-btn-disabled-border-color: #434351;
}

.btn-blue-light {
    background-color: var(--ms-dark-blue-25);
    border-color: #fff;
    color: #fff;
}

.btn-blue-light:hover {
    background-color: #fff;
    border-color: #fff;
    color: var(--ms-dark-blue-50);
}

.border-light {
    --bs-border-opacity: 1;
    border-color: rgb(217, 218, 219) !important;
}

.bg-oficial {
    background: #1e1e2ed4;
}

.bg-blue {
    background-color: var(--ms-blue);
}

.bg-blue-darken-25 {
    background-color: var(--ms-dark-blue-25)!important;
}

.border-blue-darken-25 {
    border-color: var(--ms-dark-blue-25);
}

.bg-blue-darken-50 {
    background-color: var(--ms-dark-blue-50)!important;
}

.border-blue-darken-50 {
    border-color: var(--ms-dark-blue-50);
}

.text-darker-blue {
    background-color: var(--ms-dark-blue-50);
}

.rounded-35 {
    border-radius: .7rem;
}

.border-transparent {
    border-color: transparent;
}

.container-intranet {
    margin-top: 7rem;
}

.font-oficial {
    font-family: "Encode Sans", sans-serif;
}

.navbar .navbar-toggler {
    color: #fafafa;
}

.navbar-ms {
    background: #13161e url("../images/dark-mosaic-7lBpMFt.png") 0 0;
    border-top: 5px solid var(--ms-main-color);
    box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.16);
    margin-bottom: 0;
    min-height: 95px;
}

.intranet-logo > span {
    display: block;
    font-family: var(--ms-font), Helvetica, sans-serif;
    font-size: 1.1rem;
    font-weight: bold;
    line-height: 1.1;
    margin: 0 2rem;
}

.intranet-logo__principal {
    color: #f2f2f2;
}

.intranet-logo__secundario {
    color: var(--ms-main-color);
}

.navbar-menu__username {
    color: #f2f2f2;
    font-weight: 600;
    background: none;
    border: transparent;
    cursor: pointer;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 20rem;
    text-align: right;
    padding: .5rem 1.5rem;
}

.navbar-menu__username i,
.navbar-menu__username svg {
    font-size: 1.5rem;
    fill: white;
    width: 1.5rem;
    height: 1.5rem;
    vertical-align: -.2em;

}

.navbar-menu__username:active,
.navbar-menu__username:hover,
.navbar-menu__username:focus {
    color: #fafafa;
    border: transparent;
    box-shadow: none;
}

.navbar-menu__username .name {
    display: none;
}

.navbar-menu__dropdown {
    border-radius: .5rem;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    left: auto;
    right: 0;
    width: 20rem;
    max-height: calc(100vh - 120px);
    overflow-y: auto;
}

.menu-dropdown__user {
    color: #6c757d;
    margin: 2rem 0;
    padding: 0;
    text-align: center;
    white-space: normal;
}

.menu-dropdown__user:focus,
.menu-dropdown__user:hover {
    background-color: #fff;
}

.menu-dropdown__user .bi-person-circle {
    color: #26444885;
    height: 5rem;
    width: 5rem;
}

.menu-user-info__name {
    color: #393e46;
    font-weight: 700;
    margin-top: .5rem;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.menu-user-info__username {
    color: #606470;
}

.menu-user-info__changepassword {
    color: var(--ms-blue);
    border: 1px solid var(--ms-blue);
}

.menu-user-info__changepassword:hover,
.menu-user-info__changepassword:focus,
.menu-user-info__changepassword:active {
    color: #fff;
    background: var(--ms-blue);
}

.menu-dropdown-submenu__divider {
    border-top: 1px solid #e9ecef;
    height: 0;
    margin: 0;
    opacity: 1;
    overflow: hidden;
}

.menu-dropdown-submenu__item {
    padding: 0;
    margin: 0;
}

.menu-dropdown-submenu__item a {
    display: flex;
    padding: 1rem;
    align-items: center;
    justify-content: space-between;
}

.menu-dropdown-submenu__item a,
.menu-dropdown-submenu__item a i {
    color: #646464;
    text-decoration: none;
}

.menu-dropdown-submenu__item .action-icon svg {
    margin-right: .5rem;
    fill: #646464;
    vertical-align: -.125em;
    width: 1.25rem;
    height: 1em;
}

.menu-dropdown-submenu__item .bi {
    margin-right: 0.5rem;
}

.menu-dropdown-submenu__item a:hover,
.menu-dropdown-submenu__item a:focus,
.menu-dropdown-submenu__item a:active,
.menu-dropdown-submenu__item a:hover i,
.menu-dropdown-submenu__item a:hover svg {
    background-color: #39393ef5;
    background-color: var(--ms-dark-blue-50);
    color: #fff;
    fill: #fff;
}

.footer-intranet {
    background: #31333a;
    background: #13161e;
    border-top: 2px solid #06adff;
    margin-top: auto;
    padding: 4rem 2rem 0;
    font-size: small;
}

.footer-intranet,
.footer-intranet-info-items__item {
    color: #f2f2f2;
    font-weight: 600;
}

.footer-intranet-info-items__item svg {
    margin-right: .25rem;
    vertical-align: -.2em;
    fill: white;
    width: 1.15rem;
    height: 1.15rem;
}

.footer-intranet-info-items__item .nav-link:hover {
    text-decoration-line: underline;
}

.footer-intranet-info-items {
    display: flex;
    flex-direction: column;
    margin-bottom: 0;
    padding-left: 0;
}

.footer-intranet-info-items__item {
    background: transparent;
    border: 0;
    display: block;
    padding: .5rem 0;
}

.footer-intranet-info__titulo {
    font-weight: 700;
}

.footer-intranet__logo {
    margin-top: 3rem;
    margin-right: auto;
    margin-left: auto;
    width: 25.5rem;
}

.footer-intranet__copy {
    font-weight: 500;
    letter-spacing: .03rem;
    text-align: center;
    font-size: .85rem;
}

.footer-intranet__copy .divider {
    color: #ffffff70;
}


.text-no-wrap {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.spacer {
    height: 0;
    margin-bottom: 10rem;
}

.font-weight-medium {
    font-weight: 500;
}

.btn-round {
    padding: .35rem 1.75rem;
    border-radius: 1rem;
}

.titulo-principal {
    color: #36404ff0;
    font-size: clamp(1.5rem, 3vw, 2.125rem);
    font-weight: 700;
    margin-bottom: .25rem;
}

.titulo-secundario {
    color: #2c5f95;
    font-size: 1.0125rem;
    font-weight: 600;
    margin-bottom: 1.5rem;
}

/*Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {
    .welcome__decoration, .welcome-bg-card {
        background-color: #fff;
        border:0;
    }
    .welcome__sistema {
        background-color: var(--ms-blue);
        border: 0;
    }
}

/* Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
    .container-intranet {
        margin-top: 9rem;
    }

    .footer.open, .breadcrumb.open {
        margin-left: 280px;
    }

    .navbar-menu__username .name {
        display: inline;
    }

    .footer-intranet__logo {
        margin-top: 0;
    }
}

/*XX-Large devices (larger desktops, 1400px and up)*/
@media (min-width: 1400px) {
    .footer.open, .breadcrumb.open {
        margin-left: 250px;
    }
}

/** welcome **/
.welcome_shadow {
    box-shadow: 0 7px 10px 0 rgba(22, 51, 81, 0.2);
}

.welcome__username {
    color: #2b7e9e;
    max-width: 70%;
    overflow-wrap: break-word;
    display: inline-block;
}
.welcome-bg-card {

}
.welcome__sistema {

}

.welcome__card-group1 {
    min-height: 200px;
    margin: 5rem 0 10rem 0;
}
.welcome__card-group {
    border: none;
    background-color: #fff;
}

/** sistemas **/
.lista-sistemas {
    /*border-top: .250rem solid #00a2d4;*/
    border-radius: 0;
    margin-bottom: 5rem;
}

.lista-sistemas__item {
    align-items: center;
    color: #1A1A1AF2;
    display: flex;
    justify-content: space-between;
    /*border-left: 5px solid transparent;*/
    padding: 1.5rem 2rem;
    transition: all .1s ease-in-out;
}

.lista-sistemas__item:hover {
    background: #39393ef5;
    background: #34495e;
    color: #f2f2f2;
    /*border-left-color: #00a2d4;*/
}

.lista-sistemas__item:hover .angle {
    fill: #00a2d4;
    fill: #029fc6;
}

.lista-sistemas__item .sistema {
    font-size: 1rem;
    margin-bottom: 0;
}

.lista-sistemas__item .descripcion {
    font-size: .89rem;
    color: #737373;
    vertical-align: middle;
}

.lista-sistemas__item .repo {
    color: #7c7c7c;
    border: 1px solid #aaa;
    padding: 0 3px;
    border-radius: 3px;
    margin-left: 0.4em;
    font-size: 0.6rem;
    font-weight: 500;
    display: inline-block;
}

.search-icon {
    position: absolute;
    padding: .7rem;
    z-index: 999;
}

.form-control.sistema-search_input {
    /*border-radius: 0;*/
    height: 48px;
    padding: .375rem 2.5rem;
    font-size: 1rem;
}

/** change password **/
.change-password-wrapper {
    background: #fefefe;
    margin-bottom: 10rem;
    border-radius: 1.5rem;
}

.change-password-wrapper form {
    color: #fafafa;
    margin-bottom: 5rem;
}

.change-password-wrapper form .form-label {
    font-weight: 500;
}

.change-password-wrapper .btn-enviar {
    background: #04A777;
    border: 1px solid #028D64;
    color: #fff;
}

.change-password-wrapper .col {
    padding: 2rem;
    display: flex;
    flex-direction: column;
}

.change-password-wrapper .col.col-dark {
    border-radius: 0 0 1.5rem 1.5rem;
}

.change-password-wrapper .col.col-white {
    border-radius: 1.5rem 1.5rem 0 0;
}


.change-password-wrapper .col .btn {
    margin-top: auto;
}

/** Formularios **/
.form-control {
    /*border-radius: 0;*/
    box-shadow: none;
    /*border-color: #d2d6de;*/
    /*font-size: .875rem;*/
}

.form-control:focus,
.custom-select:focus {
    border-color: var(--ms-border-form);
    box-shadow: none;
	outline: none;
}

.form-control:focus-visible {
	outline: 2px solid rgb(26 94 153 / 0.78);
  	outline-offset: 2px;
}

.form-control::-moz-placeholder,
.form-control:-ms-input-placeholder,
.form-control::-webkit-input-placeholder {
    color: #bbb;
    opacity: 1;
}

.form-control.is-invalid:focus,
.was-validated,
.form-control:invalid:focus,
.custom-select:focus {
    box-shadow: none;
}

.form-control::placeholder {
    color: #9d9d9d;
}

.form-control.is-invalid,
.was-validated .form-control:invalid {
    border-color: #ff5b57;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23ff5b57' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23ff5b57' stroke='none'/%3e%3c/svg%3e");
}

.form-control.is-invalid::placeholder {
    color: #ff5b57;
}

.invalid-feedback {
    display: none;
    width: 100%;
    margin-top: 0;
    font-size: 1rem;
    color: #ff5b57;
}

.form-control.disabled,
.form-control:disabled,
.form-control[readonly] {
    background: rgb(245, 245, 245);
    border-color: #d6d6d6;
    cursor: not-allowed;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

form input.password {
    padding-right: 45px;
}

/* ajusta posición del ícono porque está el ojo toggle pass*/
.form-control.is-invalid[type="password"] {
    background-position: right calc(.375em + 2rem) center;
}

label, .form-label {
	color: #fff;
  	font-weight: bold!important;
	font-size: .95rem;
    margin-bottom: .2rem;
}

label.required::after {
    content: " *";
    color: #da0025;
}

button:focus {
    outline: -webkit-focus-ring-color auto 5px;
}

::-ms-reveal {
    display: none;
}

.toggle-password {
    position: absolute;
    right: .85rem;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    fill: #868686;
    color: red;
}

.toggle-password_icon {
    width: 1.5rem;
    height: 1.5rem;
}

.toggle-password_icon:hover {
    fill: #868686;
}

/** info user **/
.wrapper-account {
    background: #1e1e2ed4;
    border-radius: .25rem;
    padding: 2rem;
}

.account-card {
    display: flex;
    flex-direction: column;
    background: transparent;
    border: none;
    margin-bottom: 3rem;
}

.account-card__title {
    display: flex;
    align-items: center;
    border-left: 5px solid #00C3FF;
    border-left: 5px solid transparent;
    color: #fafafa;
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.25;
    margin-bottom: 1rem;
    padding: .825rem;
}

.account-card__title--blue {
    color: #00C3FF;
}

.account-card__items {
    background: rgba(0, 0, 0, .2);
    border-radius: .25rem;
    flex: 1 1 auto;
    font-weight: 500;
    color: #fafafa;
    padding: 1rem;
}

.account-card-items__label {
    font-weight: 600;
    font-size: 1.0125rem;
}

.account-card-items__info {

}

.account-card-items__divider {
    border: none;
    /*border-top: 1px solid #e9ecef;*/
    background-color: #6390bd;
    width: 97%;
    height: 1px;
    margin: auto;
}

.account-card-items__icon {
    display: flex;
    justify-content: center;
}

.account-card-items__label,
.account-card-items__info,
.account-card-items__icon {
    align-self: center;
    padding: .5rem 1rem;
}

.toast-header.success {
    color: #fff;
    background-color: #19a784;
    border-color: #19a784;
}

.toast-header.info {
    color: #fff;
    background-color: #097fbe;
    border-color: #097fbe;
}

.toast-header.error {
    color: #fff;
    background-color: #d32a2a;
    border-color: #d32a2a;
}

/* Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
    .wrapper-account {
        padding: 4rem;
    }

    .account-card-items__label {
        font-size: 1.125rem;
        padding: 1rem 1.5rem;
    }

    .change-password-wrapper .col {
        padding: 4.5rem 4.5rem 2rem;
    }
    .change-password-wrapper .col.col-dark {
        border-radius: 0 1.5rem 1.5rem 0;
    }
}
